/*
 * udp.h
 *
 * Copyright 2004, Minoru Murashima. All rights reserved.
 * Distributed under the terms of the BSD License.
 */


#ifndef udp_h
#define udp_h


#include<types.h>
#include<net/net.h>


#ifndef ASM_FILE


typedef struct{
	uint16_t srcport;
	uint16_t dstport;
	uint16_t len;
	uint16_t chksum;
	char   data[0];
}UDP_HEADER;


extern int receiveUdp(IP_HEADER*);
extern void doUdpService(SOCKET*, IP_HEADER*);
extern int initUdp();
extern void releaseSockUdp(SOCKET*);


#endif


#endif
